Skip to content

Complete Link Social Account

POST
/api/v1/auth/web/social/{provider}/link/callback

Complete the social account linking after OAuth callback.

provider
required
string

The OAuth provider name.

Example
google
object
code
required

The OAuth authorization code from the provider.

string
4/0AfJohXn...
state
string
architecto
device_name

Must not be greater than 255 characters.

string
n
object
account
object
id
integer
1
provider
string
google
provider_email
name
string
John Doe
message
string
Social account linked successfully.
{
"account": {
"id": 1,
"provider": "google",
"provider_email": "[email protected]",
"name": "John Doe"
},
"message": "Social account linked successfully."
}

Unauthenticated

object
message
string
Unauthenticated.
{
"message": "Unauthenticated."
}
One of:

Already linked

object
message
string
This social account is already linked to your account.
{
"message": "This social account is already linked to your account."
}